> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1audiencecompaniesvalidate custom request



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/audience/companies/validate-custom-request
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/audience/companies/validate-custom-request:
    post:
      tags:
        - Companies
      operationId: companies.validateCustomAuth
      requestBody:
        description: '`CustomAuthDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomAuthDataRequest'
      responses:
        '200':
          description: nothing to do here, just validate the data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CustomAuthDataRequest:
      type: object
      properties:
        method:
          type: string
          enum:
            - GET
            - POST
        url:
          type: string
          format: uri
        json_path:
          type: string
        body:
          type:
            - string
            - 'null'
        headers:
          type:
            - array
            - 'null'
          items:
            type: string
        params:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - method
        - url
        - json_path
      title: CustomAuthDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````